SPYDER(1)

NAME
spyder - Spyder is an integrated development environment integrating Python, numpy, scipy, and matplotlib.

SYNOPSIS

spyder -e this [--example=that] [{-e | --example} this] [{-e | --example} {this | that}]

spyder [{-h | --help}]

DESCRIPTION

This manual page documents briefly the spyder command.

This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has documentation in the GNU info(1) format; see below.

spyder is a program that...

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the info(1) files.

-e this, --example=that
    Does this and that.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

FILES

/etc/foo.conf
    The system-wide configuration file to control the behaviour of spyder. See foo.conf(5) for further details.

${HOME}/.foo.conf
    The per-user configuration file to control the behaviour of spyder. See foo.conf(5) for further details.

ENVIONMENT

FOO_CONF
    If used, the defined file is used as configuration file (see also the section called “FILES”).

DIAGNOSTICS

The following diagnostics may be issued on stderr:

Bad configuration file. Exiting.
    The configuration file seems to contain a broken configuration line. Use the --verbose option, to get more info.

spyder provides some return codes, that can be used in scripts:
Code | Diagnostic
0 | Program exited successfully.
1 | The configuration file seems to be broken.

BUGS

The program is currently limited to only work with the foobar library.

The upstreams BTS can be found at http://bugzilla.foo.tld.

SEE ALSO

bar(1), baz(1), foo.conf(5)

The programs are documented fully by The Rise and Fall of a Fooish Bar available via the info(1) system.

AUTHOR

Ludovic Aubry <laubrycomm@free.fr>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2007 Ludovic Aubry

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the MIT License.